security/openssl - The NetBSD Packages Collection

Secure Socket Layer and cryptographic library

The OpenSSL Project is a collaborative effort to develop a
robust, commercial-grade, full-featured, and Open Source
toolkit implementing the Secure Sockets Layer (SSL v2/v3)
and Transport Layer Security (TLS v1) protocols as well as
a full-strength general purpose cryptography library. The
project is managed by a worldwide community of volunteers
that use the Internet to communicate, plan, and develop the
OpenSSL toolkit and its related documentation.

Build dependencies

pkgtools/cwrappers devel/gmake lang/perl5

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfopenssl-1.1.1i.tgz
NetBSD 8.0earmv7hfopenssl-1.1.1gnb3.tgz
NetBSD 8.0earmv7hfopenssl-1.1.1k.tgz
NetBSD 8.0earmv7hfopenssl-1.1.1i.tgz
NetBSD 8.0i386openssl-1.1.1i.tgz
NetBSD 8.0i386openssl-1.1.1i.tgz
NetBSD 8.0i386openssl-1.1.1k.tgz
NetBSD 8.0powerpcopenssl-1.1.1gnb3.tgz
NetBSD 8.0powerpcopenssl-1.1.1k.tgz
NetBSD 8.0powerpcopenssl-1.1.1i.tgz
NetBSD 8.0powerpcopenssl-1.1.1k.tgz
NetBSD 8.0x86_64openssl-1.1.1k.tgz
NetBSD 8.0x86_64openssl-1.1.1i.tgz
NetBSD 8.0x86_64openssl-1.1.1i.tgz
NetBSD 9.0aarch64openssl-1.1.1k.tgz
NetBSD 9.0aarch64openssl-1.1.1gnb3.tgz
NetBSD 9.0aarch64openssl-1.1.1i.tgz
NetBSD 9.0alphaopenssl-1.1.1k.tgz
NetBSD 9.0alphaopenssl-1.1.1gnb3.tgz
NetBSD 9.0alphaopenssl-1.1.1i.tgz
NetBSD 9.0alphaopenssl-1.1.1i.tgz
NetBSD 9.0earmopenssl-1.1.1gnb3.tgz
NetBSD 9.0earmopenssl-1.1.1i.tgz
NetBSD 9.0earmopenssl-1.1.1k.tgz
NetBSD 9.0earmv6hfopenssl-1.1.1k.tgz
NetBSD 9.0earmv6hfopenssl-1.1.1gnb3.tgz
NetBSD 9.0earmv6hfopenssl-1.1.1i.tgz
NetBSD 9.0earmv6hfopenssl-1.1.1i.tgz
NetBSD 9.0earmv6hfopenssl-1.1.1i.tgz
NetBSD 9.0earmv7hfopenssl-1.1.1k.tgz
NetBSD 9.0earmv7hfopenssl-1.1.1gnb3.tgz
NetBSD 9.0earmv7hfopenssl-1.1.1i.tgz
NetBSD 9.0earmv7hfopenssl-1.1.1i.tgz
NetBSD 9.0earmv7hfopenssl-1.1.1k.tgz
NetBSD 9.0i386openssl-1.1.1i.tgz
NetBSD 9.0i386openssl-1.1.1i.tgz
NetBSD 9.0i386openssl-1.1.1k.tgz
NetBSD 9.0mips64ebopenssl-1.1.1k.tgz
NetBSD 9.0mips64ebopenssl-1.1.1gnb3.tgz
NetBSD 9.0mips64ebopenssl-1.1.1i.tgz
NetBSD 9.0powerpcopenssl-1.1.1i.tgz
NetBSD 9.0powerpcopenssl-1.1.1gnb3.tgz
NetBSD 9.0powerpcopenssl-1.1.1k.tgz
NetBSD 9.0powerpcopenssl-1.1.1k.tgz
NetBSD 9.0sparc64openssl-1.1.1k.tgz
NetBSD 9.0sparc64openssl-1.1.1gnb3.tgz
NetBSD 9.0sparc64openssl-1.1.1i.tgz
NetBSD 9.0sparc64openssl-1.1.1i.tgz
NetBSD 9.0x86_64openssl-1.1.1h.tgz
NetBSD 9.0x86_64openssl-1.1.1i.tgz
NetBSD 9.0x86_64openssl-1.1.1i.tgz
NetBSD 9.0x86_64openssl-1.1.1k.tgz
NetBSD 9.0x86_64openssl-1.1.1i.tgz
NetBSD 9.0x86_64openssl-1.1.1i.tgz
NetBSD 9.0x86_64openssl-1.1.1k.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

idea
Enable support for the IDEA cryptographic algorithm (possible license+patent problems).
md2
Support the hashing algorithm MD2.
mdc2
Support the hashing algorithm MDC-2.
rc5
Support the hashing algorithm RC5.
threads
Enable threads support.
zlib
Enable support for zlib compression.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.